package cn.com.qmth.stmms.biz.exam.bean;

import cn.com.qmth.stmms.common.annotation.ExcelField;
import io.swagger.annotations.ApiModelProperty;

public class SubjectRejectVo {

    private String subjectCode;

    @ExcelField(title = "科目", align = 2, sort = 10)
    @ApiModelProperty("科目")
    private String subjectText;

    private Integer groupNumber;

    private String groupName;

    @ExcelField(title = "分组", align = 2, sort = 20)
    @ApiModelProperty("分组")
    private String groupText;

    @ExcelField(title = "任务总量", align = 2, sort = 30)
    @ApiModelProperty("任务总量")
    private Integer totalCount = 0;

    @ExcelField(title = "已完成", align = 2, sort = 40)
    @ApiModelProperty("已完成")
    private Integer finishCount = 0;

    @ExcelField(title = "打回数", align = 2, sort = 50)
    @ApiModelProperty("打回数")
    private Long rejectCount = 0L;

    @ExcelField(title = "打回率", align = 2, sort = 60)
    @ApiModelProperty("打回率")
    private String rejectRatio;

    @ApiModelProperty(hidden = true)
    private String subjectName;

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectText() {
        return subjectText;
    }

    public void setSubjectText(String subjectText) {
        this.subjectText = subjectText;
    }

    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getGroupText() {
        return groupText;
    }

    public void setGroupText(String groupText) {
        this.groupText = groupText;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getFinishCount() {
        return finishCount;
    }

    public void setFinishCount(Integer finishCount) {
        this.finishCount = finishCount;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Long getRejectCount() {
        return rejectCount;
    }

    public void setRejectCount(Long rejectCount) {
        this.rejectCount = rejectCount;
    }

    public String getRejectRatio() {
        return rejectRatio;
    }

    public void setRejectRatio(String rejectRatio) {
        this.rejectRatio = rejectRatio;
    }
}
